Subject: bug#48179: bookmark-fontify disable by default

From: "Y. E." <[email-masked]>
Date: Sun, 6 Jun 2021 03:27:15 +0300

I _love_ the _idea_  behind the bookmark-fontify feature.
Unfortunately, for me - not-a-pro-emacs-user - it appeared
to be a source of confusion and frustration.
Because of this, I suggest having it disabled by default,
at least until its usability is improved.
That would also be along the lines:
> ... the current emacs policy is not to surprise anyone with new behavior

The following are the issues I encountered:

1. When typing near the colored line, the color doesn't stay
at the bookmarked line only, but spreads with the newly typed text.

2. It takes additional time and effort to understand why the line(s)
is/are there.
  - According to my experience, bookmarks would appear as side information.
  - Supposedly, a mark on a fringe could potentially be a better choice.

3. A mark on a fringe would also allow fixing the issue
of having a too bright default color
(orange with misterioso-theme in my case grabs all the attention).

Suggestions:

1. Disable bookmark-fontify by default
2. Probably not that easy to change, but maybe use fringe beside the
line instead.
3. Maybe, as Bastien suggested:
> ask the user to customize
> bookmarks-fontify on the first C-x r m hit, so that he knows what's
> in there for him.
4. Maybe to change default colors to something less bright.

Thanks